Avro C#

Public Member Functions | Properties | List of all members
Avro.Specific.SpecificException Class Referenceabstract

Base class for specific exceptions. More...

Inheritance diagram for Avro.Specific.SpecificException:

## Public Member Functions
| SpecificException ()
| Initializes a new instance of the SpecificException class. More...
| SpecificException (string message)
| Initializes a new instance of the SpecificException class. More...
| SpecificException (string message, Exception innerException)
| Initializes a new instance of the SpecificException class. More...
abstract object | Get (int fieldPos)
| Return the value of a field given its position in the schema. This method is not meant to be called by user code, but only by SpecificDatumReader<T> implementations.
abstract void | Put (int fieldPos, object fieldValue)
| Set the value of a field given its position in the schema. This method is not meant to be called by user code, but only by SpecificDatumWriter<T> implementations.

## Properties
abstract Schema | Schema`[get]`
Properties inherited from Avro.Specific.ISpecificRecord
Schema | Schema`[get]`
| Schema of this instance. More...

## Detailed Description

Base class for specific exceptions.

## Constructor & Destructor Documentation

## ◆ SpecificException() [1/3]

Avro.Specific.SpecificException.SpecificException | ( |  | ) |
| inline

Initializes a new instance of the SpecificException class.

## ◆ SpecificException() [2/3]

Avro.Specific.SpecificException.SpecificException | ( | string | message | ) |
| inline

Initializes a new instance of the SpecificException class.

Parameters

  message | The error message that explains the reason for the exception.

## ◆ SpecificException() [3/3]

Avro.Specific.SpecificException.SpecificException | ( | string | message,
|  | Exception | innerException
| ) |  |
| inline

Initializes a new instance of the SpecificException class.

Parameters

  message | The error message that explains the reason for the exception.
  innerException | The exception that is the cause of the current exception, or a null reference if no inner exception is specified.

The documentation for this class was generated from the following file:

- src/apache/main/Specific/SpecificException.cs